Bug 1282483 - py3status: Build with python3
py3status: Build with python3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: py3status (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jedelsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 1282146
  Show dependency treegraph
 
Reported: 2015-11-16 09:56 EST by William Moreno
Modified: 2016-05-07 08:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: py3status-2.9-1.fc22 py3status-2.9-1.fc23 py3status-2.9-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-29 20:19:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Moreno 2015-11-16 09:56:27 EST
py3status support python3, please build using python3.

If you want to keet python2 support you can provide a python2 subpackage but the main package must be with python3 by default.
Comment 1 Jan Kurik 2016-02-24 08:58:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Petr Viktorin 2016-04-19 10:48:55 EDT
A bit more formally:

Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Fedora Update System 2016-04-21 04:11:30 EDT
py3status-2.9-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-355cbbbab9
Comment 4 Fedora Update System 2016-04-21 04:11:43 EDT
py3status-2.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f85dccdff
Comment 5 Fedora Update System 2016-04-21 04:11:51 EDT
py3status-2.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d30609163
Comment 6 Jakub Jedelsky 2016-04-21 04:36:32 EDT
Hi there,

I'm sorry for late reaction. py3status pkg is prepared with python3 for all fedora releases. I skipped python2 support - it have to be in epel repos only, but there are no requirements in these repos. It will be problem of future myself if someone will want to prepare package for epel.
Comment 7 Petr Viktorin 2016-04-21 05:13:13 EDT
Thanks for the work!
Comment 8 Fedora Update System 2016-04-21 17:56:59 EDT
py3status-2.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3d30609163
Comment 9 Fedora Update System 2016-04-21 23:23:13 EDT
py3status-2.9-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-355cbbbab9
Comment 10 Fedora Update System 2016-04-22 16:57:31 EDT
py3status-2.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f85dccdff
Comment 11 Fedora Update System 2016-04-29 20:19:40 EDT
py3status-2.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-05-04 01:23:46 EDT
py3status-2.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-05-07 08:00:44 EDT
py3status-2.9-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.